import { jsx } from "react/jsx-runtime";
import { TokenNCR as TokenNCR$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNCR = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "NCR", "data-name": "TokenNCR", ...props, children: /* @__PURE__ */ jsx(TokenNCR$1, { variant }) });
  }
);
TokenNCR.displayName = "TokenNCR";
Object.assign(TokenNCR, { isGdsIcon: true });
export {
  TokenNCR
};
